Assets
Get asset
Get a specific asset by its Axle UUID.
Returns the asset details if it exists.
GET
/
entities
/
asset
/
{asset_id}
Get Asset
curl --request GET \
--url https://api-sandbox.axle.energy/entities/asset/{asset_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.axle.energy/entities/asset/{asset_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.axle.energy/entities/asset/{asset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"type": "boundary meter",
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"properties": {
"power_kw": 1,
"capacity_kwh": 1
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
Asset details
Response model for asset information.
Axle's internal UUID for the asset
Vendor-specific identifier for the asset
Type of asset
Available options:
boundary meter, charger, battery, heat pump, hot water tank, frequency meter, electric_vehicle, pv inverter ID of the site where the asset is located
Optional asset properties
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get Asset

